<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="ro">
<head>
<!-- Generated by javadoc (1.8.0_231) on Thu Apr 30 00:38:30 EEST 2020 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>Class Hierarchy</title>
<meta name="date" content="2020-04-30">
<link rel="stylesheet" type="text/css" href="stylesheet.css" title="Style">
<script type="text/javascript" src="script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Class Hierarchy";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li class="navBarCell1Rev">Tree</li>
<li><a href="deprecated-list.html">Deprecated</a></li>
<li><a href="index-files/index-1.html">Index</a></li>
<li><a href="help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="index.html?overview-tree.html" target="_top">Frames</a></li>
<li><a href="overview-tree.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h1 class="title">Hierarchy For All Packages</h1>
<span class="packageHierarchyLabel">Package Hierarchies:</span>
<ul class="horizontal">
<li><a href="business_layer/package-tree.html">business_layer</a>, </li>
<li><a href="connection/package-tree.html">connection</a>, </li>
<li><a href="dao_package/package-tree.html">dao_package</a>, </li>
<li><a href="model/package-tree.html">model</a>, </li>
<li><a href="presentation/package-tree.html">presentation</a></li>
</ul>
</div>
<div class="contentContainer">
<h2 title="Class Hierarchy">Class Hierarchy</h2>
<ul>
<li type="circle">java.lang.Object
<ul>
<li type="circle">dao_package.<a href="dao_package/AbstractDAO.html" title="class in dao_package"><span class="typeNameLink">AbstractDAO</span></a>&lt;T&gt;
<ul>
<li type="circle">dao_package.<a href="dao_package/ClientsAbstractDAO.html" title="class in dao_package"><span class="typeNameLink">ClientsAbstractDAO</span></a></li>
<li type="circle">dao_package.<a href="dao_package/OrdersAbstractDAO.html" title="class in dao_package"><span class="typeNameLink">OrdersAbstractDAO</span></a></li>
<li type="circle">dao_package.<a href="dao_package/ProductsAbstractDAO.html" title="class in dao_package"><span class="typeNameLink">ProductsAbstractDAO</span></a></li>
</ul>
</li>
<li type="circle">model.<a href="model/Clients.html" title="class in model"><span class="typeNameLink">Clients</span></a></li>
<li type="circle">business_layer.<a href="business_layer/ClientsBLL.html" title="class in business_layer"><span class="typeNameLink">ClientsBLL</span></a></li>
<li type="circle">business_layer.<a href="business_layer/ClientsValidation.html" title="class in business_layer"><span class="typeNameLink">ClientsValidation</span></a></li>
<li type="circle">java.awt.Component (implements java.awt.image.ImageObserver, java.awt.MenuContainer, java.io.Serializable)
<ul>
<li type="circle">java.awt.Container
<ul>
<li type="circle">java.awt.Window (implements javax.accessibility.Accessible)
<ul>
<li type="circle">java.awt.Frame (implements java.awt.MenuContainer)
<ul>
<li type="circle">javax.swing.JFrame (implements javax.accessibility.Accessible, javax.swing.RootPaneContainer, javax.swing.WindowConstants)
<ul>
<li type="circle">presentation.<a href="presentation/ViewClients.html" title="class in presentation"><span class="typeNameLink">ViewClients</span></a></li>
<li type="circle">presentation.<a href="presentation/ViewOrders.html" title="class in presentation"><span class="typeNameLink">ViewOrders</span></a></li>
<li type="circle">presentation.<a href="presentation/ViewProducts.html" title="class in presentation"><span class="typeNameLink">ViewProducts</span></a></li>
<li type="circle">presentation.<a href="presentation/ViewStart.html" title="class in presentation"><span class="typeNameLink">ViewStart</span></a></li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
<li type="circle">presentation.<a href="presentation/ControllerClients.html" title="class in presentation"><span class="typeNameLink">ControllerClients</span></a></li>
<li type="circle">presentation.<a href="presentation/ControllerClients.ActionListenerAdd.html" title="class in presentation"><span class="typeNameLink">ControllerClients.ActionListenerAdd</span></a> (implements java.awt.event.ActionListener)</li>
<li type="circle">presentation.<a href="presentation/ControllerClients.ActionListenerBack.html" title="class in presentation"><span class="typeNameLink">ControllerClients.ActionListenerBack</span></a> (implements java.awt.event.ActionListener)</li>
<li type="circle">presentation.<a href="presentation/ControllerClients.ActionListenerDelete.html" title="class in presentation"><span class="typeNameLink">ControllerClients.ActionListenerDelete</span></a> (implements java.awt.event.ActionListener)</li>
<li type="circle">presentation.<a href="presentation/ControllerClients.ActionListenerEdit.html" title="class in presentation"><span class="typeNameLink">ControllerClients.ActionListenerEdit</span></a> (implements java.awt.event.ActionListener)</li>
<li type="circle">presentation.<a href="presentation/ControllerClients.ActionListenerShowAll.html" title="class in presentation"><span class="typeNameLink">ControllerClients.ActionListenerShowAll</span></a> (implements java.awt.event.ActionListener)</li>
<li type="circle">presentation.<a href="presentation/ControllerOrders.html" title="class in presentation"><span class="typeNameLink">ControllerOrders</span></a></li>
<li type="circle">presentation.<a href="presentation/ControllerOrders.ActionListenerAdd.html" title="class in presentation"><span class="typeNameLink">ControllerOrders.ActionListenerAdd</span></a> (implements java.awt.event.ActionListener)</li>
<li type="circle">presentation.<a href="presentation/ControllerOrders.ActionListenerBack.html" title="class in presentation"><span class="typeNameLink">ControllerOrders.ActionListenerBack</span></a> (implements java.awt.event.ActionListener)</li>
<li type="circle">presentation.<a href="presentation/ControllerOrders.ActionListenerDelete.html" title="class in presentation"><span class="typeNameLink">ControllerOrders.ActionListenerDelete</span></a> (implements java.awt.event.ActionListener)</li>
<li type="circle">presentation.<a href="presentation/ControllerOrders.ActionListenerEdit.html" title="class in presentation"><span class="typeNameLink">ControllerOrders.ActionListenerEdit</span></a> (implements java.awt.event.ActionListener)</li>
<li type="circle">presentation.<a href="presentation/ControllerOrders.ActionListenerShowAll.html" title="class in presentation"><span class="typeNameLink">ControllerOrders.ActionListenerShowAll</span></a> (implements java.awt.event.ActionListener)</li>
<li type="circle">presentation.<a href="presentation/ControllerProducts.html" title="class in presentation"><span class="typeNameLink">ControllerProducts</span></a></li>
<li type="circle">presentation.<a href="presentation/ControllerProducts.ActionListenerAdd.html" title="class in presentation"><span class="typeNameLink">ControllerProducts.ActionListenerAdd</span></a> (implements java.awt.event.ActionListener)</li>
<li type="circle">presentation.<a href="presentation/ControllerProducts.ActionListenerBack.html" title="class in presentation"><span class="typeNameLink">ControllerProducts.ActionListenerBack</span></a> (implements java.awt.event.ActionListener)</li>
<li type="circle">presentation.<a href="presentation/ControllerProducts.ActionListenerDelete.html" title="class in presentation"><span class="typeNameLink">ControllerProducts.ActionListenerDelete</span></a> (implements java.awt.event.ActionListener)</li>
<li type="circle">presentation.<a href="presentation/ControllerProducts.ActionListenerEdit.html" title="class in presentation"><span class="typeNameLink">ControllerProducts.ActionListenerEdit</span></a> (implements java.awt.event.ActionListener)</li>
<li type="circle">presentation.<a href="presentation/ControllerProducts.ActionListenerShowAll.html" title="class in presentation"><span class="typeNameLink">ControllerProducts.ActionListenerShowAll</span></a> (implements java.awt.event.ActionListener)</li>
<li type="circle">presentation.<a href="presentation/ControllerViewStart.html" title="class in presentation"><span class="typeNameLink">ControllerViewStart</span></a></li>
<li type="circle">presentation.<a href="presentation/ControllerViewStart.ActionListenerComboBox.html" title="class in presentation"><span class="typeNameLink">ControllerViewStart.ActionListenerComboBox</span></a> (implements java.awt.event.ActionListener)</li>
<li type="circle">presentation.<a href="presentation/GenPDFReports.html" title="class in presentation"><span class="typeNameLink">GenPDFReports</span></a></li>
<li type="circle">connection.<a href="connection/MyConnection.html" title="class in connection"><span class="typeNameLink">MyConnection</span></a></li>
<li type="circle">model.<a href="model/Orders.html" title="class in model"><span class="typeNameLink">Orders</span></a></li>
<li type="circle">business_layer.<a href="business_layer/OrdersBLL.html" title="class in business_layer"><span class="typeNameLink">OrdersBLL</span></a></li>
<li type="circle">business_layer.<a href="business_layer/OrdersValidation.html" title="class in business_layer"><span class="typeNameLink">OrdersValidation</span></a></li>
<li type="circle">model.<a href="model/Products.html" title="class in model"><span class="typeNameLink">Products</span></a></li>
<li type="circle">business_layer.<a href="business_layer/ProductsBLL.html" title="class in business_layer"><span class="typeNameLink">ProductsBLL</span></a></li>
<li type="circle">business_layer.<a href="business_layer/ProductsValidation.html" title="class in business_layer"><span class="typeNameLink">ProductsValidation</span></a></li>
</ul>
</li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li class="navBarCell1Rev">Tree</li>
<li><a href="deprecated-list.html">Deprecated</a></li>
<li><a href="index-files/index-1.html">Index</a></li>
<li><a href="help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="index.html?overview-tree.html" target="_top">Frames</a></li>
<li><a href="overview-tree.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
